## dzen2 0.8.5

=== Makefile ===
# dzen2 
#   (C)opyright MMVII Robert Manea

include config.mk

SRC = draw.c main.c util.c action.c
OBJ = ${SRC:.c=.o}

all: options dzen2

options:
	@echo dzen2 build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: dzen.h action.h config.mk

dzen2: ${OBJ}
	@echo LD $@
	@${LD} -o $@ ${OBJ} ${LDFLAGS}
	@strip $@
	@echo "Run ./help for documentation"

clean:
	@echo cleaning
	@rm -f dzen2 ${OBJ} dzen2-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dzen2-${VERSION}
	@mkdir -p dzen2-${VERSION}/gadgets
	@mkdir -p dzen2-${VERSION}/bitmaps
	@cp -R CREDITS LICENSE Makefile INSTALL README.dzen README help config.mk action.h dzen.h ${SRC} dzen2-${VERSION}
	@cp -R gadgets/Makefile  gadgets/config.mk gadgets/README.dbar gadgets/textwidth.c gadgets/README.textwidth gadgets/dbar.c gadgets/gdbar.c gadgets/README.gdbar gadgets/gcpubar.c gadgets/README.gcpubar gadgets/kittscanner.sh gadgets/README.kittscanner gadgets/noisyalert.sh dzen2-${VERSION}/gadgets
	@cp -R bitmaps/alert.xbm bitmaps/ball.xbm bitmaps/battery.xbm bitmaps/envelope.xbm bitmaps/volume.xbm bitmaps/pause.xbm bitmaps/play.xbm bitmaps/music.xbm  dzen2-${VERSION}/bitmaps
	@tar -cf dzen2-${VERSION}.tar dzen2-${VERSION}
	@gzip dzen2-${VERSION}.tar
	@rm -rf dzen2-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dzen2 ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dzen2

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dzen2

.PHONY: all options clean dist install uninstall

=== gadgets/Makefile ===
# dzen2 gadgets
# (c) 2007 Robert Manea

include config.mk

SRC = dbar.c gdbar.c gcpubar.c textwidth.c
OBJ = ${SRC:.c=.o}

all: options dbar gdbar gcpubar textwidth

options:
	@echo dzen2 gadgets build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

dbar: ${OBJ}
	@echo LD $@
	@${LD} -o $@ dbar.o ${LDFLAGS}
	@strip $@

gdbar: ${OBJ}
	@echo LD $@
	@${LD} -o $@ gdbar.o ${LDFLAGS} -L${X11LIB} -lX11
	@strip $@

gcpubar: ${OBJ}
	@echo LD $@
	@${LD} -o $@ gcpubar.o ${LDFLAGS} -L${X11LIB}
	@strip $@

textwidth: ${OBJ}
	@echo LD $@
	@${LD} -o $@ textwidth.o ${LDFLAGS} -L${X11LIB} -lX11
	@strip $@

clean:
	@echo cleaning
	@rm -f ${OBJ} dbar
	@rm -f ${OBJ} gdbar
	@rm -f ${OBJ} gcpubar
	@rm -f ${OBJ} textwidth

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dbar ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dbar
	@cp -f gdbar ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/gdbar
	@cp -f gcpubar ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/gcpubar
	@cp -f textwidth ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/textwidth

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dbar
	@rm -f ${DESTDIR}${PREFIX}/bin/gdbar
	@rm -f ${DESTDIR}${PREFIX}/bin/gcpubar
	@rm -f ${DESTDIR}${PREFIX}/bin/textwidth

.PHONY: all options clean install uninstall

## dzen2 0.9.5~svn271

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# dzen2 
+# dzen2
 #   (C)opyright MMVII Robert Manea
 
 include config.mk

=== debian/changelog ===
dzen2 (0.9.5~svn271-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:20:34 +0000

dzen2 (0.9.5~svn271-4) unstable; urgency=low

  * Don't manually link with -L/usr/lib (Closes: #722766)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 14 Sep 2013 11:04:59 -0400

dzen2 (0.9.5~svn271-3) unstable; urgency=low

  * Upload to unstable
  * Add a gbp.conf to use pristine-tar / sign tags / etc.

 -- Ryan Kavanagh <rak@debian.org>  Sun, 14 Jul 2013 12:34:15 -0400

dzen2 (0.9.5~svn271-2) experimental; urgency=low

  * Enable XFT, XPM, and xinerama support; 04_use_xft_xpm_xinerama.diff
    This fixes a regression where XFT and xinerama support was disabled in the
    last release.

 -- Ryan Kavanagh <rak@debian.org>  Mon, 22 Apr 2013 09:51:39 -0400

dzen2 (0.9.5~svn271-1) experimental; urgency=low

  * Imported Upstream version 0.9.5~svn271 (Closes: #561286)
    + Get rid of inline patch; reintroduced as 01_build_gadgets.diff
    + Mouse events now work (Closes: #499651)
    + Update copyright file
  * Set myself as maintainer with Petr Rockai's permission
  * Update and simplify 01_build_gadgets.diff for current Makefiles
  * Set the install prefix to /usr, 02_install_prefix.diff
  * Set the CFLAGS to use dpkg-buildflags, 03_CFLAGS.diff
  * Add missing build-dependencies on pkg-config and libxft-dev
  * Bump standards version to 3.9.4
  * Add Vcs-{Git,Browser} pointing to collab-maint
  * Add link to current Homepage in control
  * Drop CDBS in favour of dh >= 9, update rules and compat accordingly
  * Binaries are now installed by upstream Makefiles, update dzen2.install
    accordingly
  * Correct hyphen-as-minus-sign warnings in dzen2-dbar.1
  * Set the Debian source format to 3.0 (quilt)
  * Make use of inheritance in debian/control: Don't define Section twice
  * Clean gadgets in rules' clean target
  * Add empty watch file: upstream does not provide a method of tracking new
    releases
  * Update the gadgets' manpages

 -- Ryan Kavanagh <rak@debian.org>  Sat, 20 Apr 2013 16:18:06 -0400

dzen2 (0.8.5-4) unstable; urgency=low

  * Install gadgets README files (closes: #499649),
  * install bundled bitmaps (closes: #499079),
  * enable XPM support (closes: #498153).

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jun 2010 15:54:06 +0200

dzen2 (0.8.5-3) unstable; urgency=low

  * By a silly mistake, we had installed gadgets into
    /usr/bin/dzen2-<gadget>/<gadget> instead of /usr/bin/dzen2-<gadget>.
    This is now fixed. Thanks to Kai Hendry for reporting that.

 -- Petr Rockai <mornfall@debian.org>  Tue, 10 Jun 2008 22:31:05 +0200

dzen2 (0.8.5-2) unstable; urgency=low

  * Fix typos in description (closes: #477981),
  * include gadgets in the package (closes: #458906), thanks
    bertagaz@ptitcanardnoir.org for manpages.

 -- Petr Rockai <mornfall@debian.org>  Thu, 05 Jun 2008 11:14:44 +0200

dzen2 (0.8.5-1) unstable; urgency=low

  * New upstream version (closes: #451815).

 -- Petr Rockai <mornfall@debian.org>  Mon, 29 Oct 2007 18:08:06 +0100

dzen2 (0.8.0-1) unstable; urgency=low

  * Initial release, (Closes: #429227)
  * add a manpage for the dzen2 binary.

 -- Petr Rockai <mornfall@debian.org>  Mon, 29 Oct 2007 13:46:16 +0100

dzen2 (0.8.0-0) UNRELEASED

  * Initial packaging. 

 -- Petr Rockai <mornfall@debian.org>  Mon, 06 Aug 2007 15:48:02 +0200

=== debian/control ===
Source: dzen2
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: libx11-dev
 , libxinerama-dev
 , libxpm-dev
 , libxft-dev
 , debhelper (>= 9)
 , dh-buildinfo
 , pkg-config
Standards-Version: 3.9.4
Homepage: https://github.com/robm/dzen
Vcs-Git: git://anonscm.debian.org/collab-maint/dzen2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dzen2.git

Package: dzen2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General-purpose messaging and notification program for X11
 Dzen was designed to be scriptable in any language and integrate well
 with window managers like dwm, wmii and xmonad though it will work
 with any window manger.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C gadgets clean
	dh_auto_clean

=== debian/watch ===
# Upstream does not provide any method to track new releases.

## dzen2 0.9.5+git20130923.488ab66

=== gadgets/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-SRC = dbar.c gdbar.c gcpubar.c textwidth.c
+SRC = dbar.c dbar-main.c gdbar.c gcpubar.c textwidth.c
 OBJ = ${SRC:.c=.o}
 
 all: options dbar gdbar gcpubar textwidth
@@ -19,21 +19,23 @@
 	@echo CC $<
 	@${CC} -c ${CFLAGS} $<
 
-${OBJ}: config.mk
+${OBJ}: dbar.h config.mk
 
 dbar: ${OBJ}
 	@echo LD $@
-	@${LD} -o $@ dbar.o ${LDFLAGS}
+	@${LD} -o $@ dbar-main.o dbar.o ${LDFLAGS}
 	@strip $@
 
 gdbar: ${OBJ}
 	@echo LD $@
-	@${LD} -o $@ gdbar.o ${LDFLAGS} -L${X11LIB} -lX11
+#	@${LD} -o $@ gdbar.o dbar.o ${LDFLAGS} -L${X11LIB} -lX11
+	@${LD} -o $@ gdbar.o dbar.o ${LDFLAGS}
 	@strip $@
 
 gcpubar: ${OBJ}
 	@echo LD $@
-	@${LD} -o $@ gcpubar.o ${LDFLAGS} -L${X11LIB}
+#	@${LD} -o $@ gcpubar.o dbar.o ${LDFLAGS} -L${X11LIB}
+	@${LD} -o $@ gcpubar.o dbar.o ${LDFLAGS}
 	@strip $@
 
 textwidth: ${OBJ}

=== debian/changelog ===
dzen2 (0.9.5+git20130923.488ab66-2) unstable; urgency=medium

  * Team upload of Debian team
  * Remove obsolete dh-buildinfo build dependency
  * Do verbose build / please BLHC Salsa CI job

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 16:56:21 +0200

dzen2 (0.9.5+git20130923.488ab66-1) unstable; urgency=medium

  * Team upload of Debian team

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Andreas Tille ]
  * Point watch file to latest commit on Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/copyright: Mention source on Github
  * Add gadgets/kittscanner.sh as example
    Closes: #915611
  * Enable hardening options

  [ Helmut Grohne ]
  * Fix usage of build architecture tools
    Closes: #900119

 -- Andreas Tille <tille@debian.org>  Sun, 29 Sep 2024 22:30:15 +0200

=== debian/control ===
Source: dzen2
Section: x11
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: libx11-dev
 , libxinerama-dev
 , libxpm-dev
 , libxft-dev
 , debhelper-compat (= 13)
 , pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/robm/dzen
Vcs-Git: https://salsa.debian.org/debian/dzen2.git
Vcs-Browser: https://salsa.debian.org/debian/dzen2

Package: dzen2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General-purpose messaging and notification program for X11
 Dzen was designed to be scriptable in any language and integrate well
 with window managers like dwm, wmii and xmonad though it will work
 with any window manger.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4

opts="mode=git,pretty=0.9.5+git%cd.%h" \
    https://github.com/robm/dzen.git HEAD
